Subject: [bug#60753] issue with file-like init file

From: [email-masked]
Date: Sat, 14 Jan 2023 21:07:32 -0500

Hi David,

I think I found the issue. It looks like the mixed-text-file function 
does not replace file-like object with their content, but instead with 
their path.

if you look at the example in the documentation: 
https://guix.gnu.org/manual/en/html_node/G_002dExpressions.html

you'll see that it's being used to replace the file-like with it's path 
in an "export" clause.

So it totally explain what I see in my generated init file.

When compared with home-bash-service-type in shells.scm, it calls 
"serialize-configuration" on the file-like object. This is found in 
add-bash-configuration.

Hope this helps.

thanks!

Benoit